<!-- markdownlint-disable MD033 MD013 MD028 -->

<div align="center">
  <img src="./website/static/arwes.jpg" alt="Arwes" />
</div>

<p align="center" style="margin-top: 16px; font-size: 1.2rem;">
  Futuristic Sci-Fi UI Web Framework
</p>

<div align="center">
    <a href="https://npmjs.org/package/@arwes/core">
        <img src="https://img.shields.io/npm/v/@arwes/core.svg" alt="version" />
    </a>
    <a href="https://github.com/arwes/arwes/actions">
        <img src="https://github.com/arwes/arwes/workflows/ci/badge.svg" alt="ci" />
    </a>
    <a href="https://github.com/arwes/arwes">
        <img src="https://img.shields.io/github/stars/arwes/arwes.svg?style=social&label=stars" alt="github stars" />
    </a>
    <a href="https://npmjs.org/package/@arwes/core">
        <img src="https://img.shields.io/npm/dm/@arwes/core.svg" alt="downloads" />
    </a>
    <a href="https://twitter.com/arwesjs">
        <img src="https://img.shields.io/twitter/follow/arwesjs.svg?label=%40arwesjs&style=social" alt="Twitter Follow" />
    </a>
    <a href="https://discord.gg/s5sbTkw">
        <img src="https://img.shields.io/badge/chat-discord-blue.svg" alt="chat on discord" />
    </a>
</div>

<div align="center">
    <a href="https://standardjs.com">
        <img src="https://img.shields.io/badge/code_style-standardjs-d2bb09.svg" alt="code style: standardjs" />
    </a>
    <a href="https://jestjs.io">
        <img src="https://img.shields.io/badge/tested%20with-jest-15c213.svg" alt="tested with: jest" />
    </a>
    <a href="https://lerna.js.org">
        <img src="https://img.shields.io/badge/maintained%20with-lerna-cc00ff.svg" alt="lerna" />
    </a>
    <a href="http://commitizen.github.io/cz-cli">
        <img src="https://img.shields.io/badge/commitizen-friendly-brightgreen.svg" alt="Commitizen friendly" />
    </a>
    <a href="https://github.com/arwes/arwes/blob/main/LICENSE">
        <img src="https://img.shields.io/github/license/arwes/arwes.svg?maxAge=2592000" alt="license" />
    </a>
</div>

----

[Arwes](https://arwes.dev) is a web framework to build user interfaces based on
futuristic science fiction designs, animations, and sound effects. The concepts
behind are opinionated with influences from [Cyberprep](https://aesthetics.fandom.com/wiki/Cyberprep),
[Cyberpunk](https://en.wikipedia.org/wiki/Cyberpunk), and [Synthwave](https://en.wikipedia.org/wiki/Synthwave),
and productions like [Star Citizen](http://robertsspaceindustries.com),
[Halo](https://www.halowaypoint.com/en-us/games), and [TRON: Legacy](http://www.imdb.com/title/tt1104001).
It tries to inspire advanced space and alien technology.

> The project is under development as alpha release. See [project details](https://arwes.dev/project).

> Branch [`main`](https://github.com/arwes/arwes) is for releases and public content.
Branch [`next`](https://github.com/arwes/arwes/tree/next) is for active development.

## Documentation

See **[arwes.dev](https://arwes.dev)**.

The previous version was moved to [version1-breakpoint1.arwes.dev](https://version1-breakpoint1.arwes.dev)
with the branch [`version1-breakpoint1`](https://github.com/arwes/arwes/tree/version1-breakpoint1)
where you can find the components and the website source code. This package was
released in February, 2018, and **it is now deprecated**.

## Community

### Apps

<!-- ARWES-COMMUNITY-APPS:START -->
<table>
<tr>
<td align="center"><a href="https://soulextract.com"><img src="./website/static/community/apps/images/soulextract.com.jpg" width="252px;" alt="SoulExtract.com" /></a><br /><a href="https://soulextract.com">SoulExtract.com</a><br /><a href="https://github.com/soulextract/soulextract.com"><sub>soulextract/soulextract.com</sub></a></td>
<td align="center"><a href="https://romelperez.dev"><img src="./website/static/community/apps/images/romelperez.dev.jpg" width="252px;" alt="RomelPerez.dev" /></a><br /><a href="https://romelperez.dev">RomelPerez.dev</a><br /><a href="https://github.com/romelperez/romelperez.dev"><sub>romelperez/romelperez.dev</sub></a></td>
</tr>
</table>
<!-- ARWES-COMMUNITY-APPS:END -->

## Need help?

Open [a GitHub issue](https://github.com/arwes/arwes/issues/new/choose) or let's
chat on [Discord](https://discord.gg/s5sbTkw).

Review [frequently asked questions](https://arwes.dev/project/faq) and
[code of conduct](https://arwes.dev/community/code-of-conduct).

## Roadmap

Check out [roadmap](https://arwes.dev/project/roadmap) and [project boards](https://github.com/arwes/arwes/projects).

## Contributors

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://RomelPerez.dev"><img src="https://avatars2.githubusercontent.com/u/1393135?v=4?s=140" width="140px;" alt=""/><br /><sub><b>Romel Pérez</b></sub></a><br /><a href="#projectManagement-romelperez" title="Project Management">📆</a> <a href="https://github.com/arwes/arwes/commits?author=romelperez" title="Code">💻</a> <a href="https://github.com/arwes/arwes/commits?author=romelperez" title="Tests">⚠️</a> <a href="https://github.com/arwes/arwes/commits?author=romelperez" title="Documentation">📖</a></td>
    <td align="center"><a href="https://nickwe.st"><img src="https://avatars1.githubusercontent.com/u/3742496?v=4?s=140" width="140px;" alt=""/><br /><sub><b>Nick West</b></sub></a><br /><a href="https://github.com/arwes/arwes/commits?author=njwest" title="Documentation">📖</a> <a href="#ideas-njwest" title="Ideas, Planning, & Feedback">🤔</a> <a href="#research-njwest" title="Research">🔬</a> <a href="#infra-njwest" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
    <td align="center"><a href="https://github.com/jdpnielsen"><img src="https://avatars3.githubusercontent.com/u/8746698?v=4?s=140" width="140px;" alt=""/><br /><sub><b>Joshua Pratt</b></sub></a><br /><a href="https://github.com/arwes/arwes/commits?author=jdpnielsen" title="Code">💻</a> <a href="https://github.com/arwes/arwes/pulls?q=is%3Apr+reviewed-by%3Ajdpnielsen" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/Dessix"><img src="https://avatars.githubusercontent.com/u/434942?v=4?s=140" width="140px;" alt=""/><br /><sub><b>Zoey</b></sub></a><br /><a href="#ideas-Dessix" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/arwes/arwes/pulls?q=is%3Apr+reviewed-by%3ADessix" title="Reviewed Pull Requests">👀</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/kentcdodds/all-contributors)
specification.

## Want to contribute?

The project is not fully open for sustancial contributions yet until the
first beta version is released and the [project guidelines](https://arwes.dev/project/guidelines)
are finished. But you can follow the development in [Discord](https://discord.gg/s5sbTkw)
and [Twitter](https://twitter.com/arwesjs).
